Bug 24258 - mailx should set date in recorded mail
Summary: mailx should set date in recorded mail
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mailx   
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-18 01:56 UTC by jwitford
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 13:40:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds date to mail header when recording outgoing mail (1.21 KB, patch)
2001-01-18 01:58 UTC, jwitford
no flags Details | Diff

Description jwitford 2001-01-18 01:56:59 UTC
When mailx has the "record" option set to record sent mail
the header date field is not being set.
Some mail clients, when accessing such a file via IMAP, need
to have the date field set in the header in order to accurately
determine the appropriate time (eg. Outlook Express, sorry).

I have a patch, but a bit of work would be needed to ensure
that it works on platform other than glibc-2.2.
The problem being the tm_gmtoff element of struct tm:
      glibc-2.2:    p->tm_gmtoff
      sun:          (p->tm_isdst > 0 && daylist) ? -altzone : -gtimezone
      aix:          timezone
Could, of course, have used strftime()but the %z is not supported
on sun ...

Comment 1 jwitford 2001-01-18 01:58:24 UTC
Created attachment 7768 [details]
adds date to mail header when recording outgoing mail

Comment 2 Ivana Varekova 2004-11-08 15:41:17 UTC
ping?

Comment 3 Ivana Varekova 2004-12-08 13:40:25 UTC
It is not necessary to fill the header Date. In the header there is
the date written in From.
Ivana Varekova



Note You need to log in before you can comment on or make changes to this bug.